Subject: Beverly Nichols

From: [email-masked] (AndreaK803)
Date: 5 Mar 1995 12:28:41 -0500

Crummy old day (weatherwise) and I was consoling myself reading PLANT
DREAMING DEEP by May Sarton and for some reason thought of a book I read
by Beverly Nichols about transforming a dull suburban lot into a wonderful
garden (of course).  Anyone know the title of this book and if the garden
still exists?  Anyone else reading books of this ilk or only technical
information?  Andrea.